%define upstream_name    FWS-Lite
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Lightweight access to FWS methodologies and installations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/FWS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides basic input and output to a FrameWork Sites
installation or can be used independently using the methodologies of
FrameWork Sites data structures and file handling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.4.0-10.mga9
+ Revision: 1803756
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-9.mga8
+ Revision: 1494609
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-8.mga7
+ Revision: 1268186
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-7.mga6
+ Revision: 1027646
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.4.0-6.mga6
+ Revision: 931961
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 750817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 684700
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 511514
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 367130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 254944
- update to 0.004

* Thu Feb 23 2012 kharec <kharec> 0.2.0-1.mga2
+ Revision: 212525
- imported package perl-FWS-Lite


* Thu Feb 23 2012 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
